<?php
if (!defined('ABSPATH')) {
    exit;
} // Exit if accessed directly

/**
 * @var string $generatedLink
 * @var string $serviceTicket
 * @var string $siteOption
 * @var int $page
 * @var bool $showOr
 *
 */

use UNSProjectApp\UnsWordPressAPI;

?>
<div id="unsproject_qr_code_conatainer">
    <?php
    if(isset($showOr) && $showOr === true ){
        ?>
        <div id="orContainer">
            <div class="left-part"></div>
            <div class="center-part">or</div>
            <div class="right-part"></div>
        </div>
        <?php
    }
    ?>

    <h2>Scan this code in order to finish the authorization.</h2>
    <div class="qr_code_content">
        <div id="qrcode" data-qr-url="<?php echo $generatedLink; ?>"></div>
    </div>
    <Br/>
    <h3>Open this link if you are unable to scan the QR code</h3>
    <a href="<?php echo urldecode($generatedLink); ?>" target="_blank"><?php echo urldecode($generatedLink); ?></a>
    <br/>
    <br/>
    <div id="unsproject-status" class="unsproject-loader"></div>
</div>

<script type="text/javascript">
    <?php
    ob_start();
    ?>
    checkConnection("<?php echo UnsWordPressAPI::getVerifyTicketUrl()?>", "<?php echo $serviceTicket;?>", '<?php echo $page;?>', '<?php echo $siteOption['uniqueId'];?>', <?php echo isset($siteOption['authorization_interval']) ? $siteOption['authorization_interval'] : UnsWordPressAPI::DEFAULT_AUTHORIZATION_INTERVAL;?>);
    <?php
    $jsScript = ob_get_clean();
    wp_add_inline_script('unsproject-script', $jsScript, 'after');
    ?>
</script>
